Skip to main content
GET
/
api
/
v1
/
system
/
users
List users
curl --request GET \
  --url https://api.example.com/api/v1/system/users/ \
  --header 'Authorization: Bearer <token>'
[
  {
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "email": "jsmith@example.com",
    "phone_number": "<string>",
    "is_staff": true,
    "roles": [
      "<unknown>"
    ],
    "scope": "<string>",
    "client": {
      "name": "<string>",
      "schema_name": "<string>",
      "code": "<string>",
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "domain": [
        "<unknown>"
      ],
      "setup_progress": "in_progress",
      "is_active": true,
      "created_at": "2023-12-25",
      "updated_at": "2023-12-25"
    },
    "teacher_profile": {},
    "created_at": "2023-11-07T05:31:56Z",
    "updated_at": "2023-11-07T05:31:56Z"
  }
]

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

X-Schema-Name
string

School (tenant) identifier. Must match your account unless you have platform-wide access.

Response

200 - application/json
id
string<uuid>
email
string<email> | null
Maximum string length: 254
phone_number
string | null
Maximum string length: 20
is_staff
boolean
roles
any[]
scope
string
client
object
teacher_profile
object
created_at
string<date-time>
updated_at
string<date-time>